Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp
Class Renderer

    java.lang.Object
      de.grogra.imp.Renderer

All Implemented Interfaces:
  Disposable, java.awt.image.ImageObserver

Direct Known Subclasses:
  ExternalRenderer, FluxRenderer, Raytracer, Renderer

    public abstract class Renderer

extends java.lang.Object
implements Disposable, java.awt.image.ImageObserver

Field Summary
`protected int` | `height`
`protected java.util.ArrayList<java.awt.image.ImageObserver>` | `observers`
`protected View` | `view`
`protected int` | `width`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`Renderer()`

Method Summary
`void` | `addImageObserver(java.awt.image.ImageObserver obs)`
`java.awt.Image` | `computeImage()`
`abstract java.lang.String` | `getName()`
`boolean` | `imageUpdate(java.awt.Image img, int infoflags, int x, int y, int width, int height)`
`void` | `initialize(View view, int width, int height)`
`protected void` | `initializeImpl()`
`abstract void` | `render()`
`java.awt.Image` | `waitForImage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.util.Disposable
`dispose`

Field Detail

### height

    protected int height

### observers

    protected java.util.ArrayList<java.awt.image.ImageObserver> observers

### view

    protected View view

### width

    protected int width

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### addImageObserver

    public void addImageObserver(java.awt.image.ImageObserver obs)

### computeImage

    public java.awt.Image computeImage()
                                throws java.io.IOException,
                                       java.lang.InterruptedException

  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### getName

    public abstract java.lang.String getName()

### imageUpdate

    public boolean imageUpdate(java.awt.Image img,
                               int infoflags,
                               int x,
                               int y,
                               int width,
                               int height)

  Specified by:
    `imageUpdate` in interface `java.awt.image.ImageObserver`

### initialize

    public final void initialize(View view,
                                 int width,
                                 int height)

### initializeImpl

    protected void initializeImpl()

### render

    public abstract void render()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### waitForImage

    public java.awt.Image waitForImage()
                                throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD